WANA_reconstruction <-
function(y,analdist,analist,kana,seuil) 
{   
	nz<-nrow(analdist)
	my<-ncol(y)
	ny<-nrow(y)
	kanas=kana
	nz<-nrow(analdist)
	my<-ncol(y)
	ny<-nrow(y)
	if (kana==0) {
		kana=ny
		kanas=ny/100
		}   
	ye<-list(title="matrix of y reconstruction: rmean=weighted mean of the analogues / rmin, rmax = respe. min and max of the analogues retained")
	ye$rmean <- matrix(NA,ncol=my,nrow=nz)
	ye$rmin <- matrix(NA,ncol=my,nrow=nz)
	ye$rmax <- matrix(NA,ncol=my,nrow=nz)
	ye$nbanal <- matrix(NA,ncol=my,nrow=nz)
	ye$mindist <- rep(NA,nz)
	ye$maxdist <- rep(NA,nz)
	analdist[is.na(analdist)]=1.e+10

	for (i in 1:nz) {
		poids <- 1/analdist[i,]
		k1<-1
		if (analdist[i,1]==0) {k1<-2}
		k2<-0
		for (k in 1:kana) {
			if (analdist[i,k]<=seuil) {k2<-k }
		}
		if (k2>k1+1) {
			for (j in 1:my) {
				k3=k2
				si=sum(1*!is.na(y[ analist[i,1:k3], j]))
				while (si>kanas & k3>=k1) {
					k3=k3-1
					si=sum(1*!is.na(y[ analist[i,1:k3], j]))
					}
				if (k3>=k1) {
					ye$rmean[i,j]<-sum(poids[k1:k3]*y[ analist[i,k1:k3], j],na.rm=TRUE)
					somme=sum(poids[k1:k3]*(!is.na(y[analist[i,k1:k3],j])),na.rm=TRUE)
					ye$rmean[i,j]<-ye$rmean[i,j]/somme
					ye$rmin[i,j]<-min(y[analist[i,k1:k3],j],na.rm=TRUE)
					ye$rmax[i,j]<-max(y[analist[i,k1:k3],j],na.rm=TRUE)
					}
				ye$nbanal[i,j]<-si
			}
			ye$mindist[i]<-analdist[i,k1]
			ye$maxdist[i]<-analdist[i,k3]
		}
	}
	return(ye)
}
