cwt.ts <-
function(ts,s0,noctave=6,nvoice=10,w0=6)
	{
  	t=time(ts)
	dt=t[2]-t[1]
	#s0unit=s0/dt*(w0+sqrt(2+w0*w0))/(4*pi) #(TORRENCE)
	s0unit=(s0+0.1)/dt*w0/(2*pi)            #(CORRECT) 
	s0log=as.integer((log2(s0unit)-1)*nvoice+1.5)
	if (s0log<1) { cat("# s0 too small for w0! \n") }
  	totnoct=noctave+as.integer(s0log/nvoice)+1
	totts.cwt=cwt(ts,totnoct,nvoice,w0,plot=0)
	ts.cwt=totts.cwt[,s0log:(s0log+noctave*nvoice)]
	#Normalization
	sqs <- sqrt(2^(0:(noctave*nvoice)/nvoice)*s0)
	smat <- matrix(rep(sqs,length(t)),nrow=length(t),byrow=TRUE)
	ts.cwt*smat
	}
