plotIntraInterKm <-
function(data,maxclus,maxiter)
{
# Fonction qui trace la dÈcroissance de Variance Intra/inter
# pour un nombre de classe qui grandit (de 2 à maxclus) dans
# une classif k-means => Pour faire le choix du nombre de classes !!!
# l'operation est repetee maxiter fois pour montrer le caractere aleatoire de la classif !!!
kmeans.ss=matrix(NA,maxiter*maxclus,3)
colnames(kmeans.ss)=c("number groups","ss intra","ss inter")
for (i in 1:maxiter)
	{
        for (k in 2:maxclus)
		{
		res=kmeans(data,centers=k,50)
		grav.centre=apply(data,2,mean)
		betw.ss=0
            	for(j in 1:k)
			{ betw.ss=betw.ss+sum(res$cluster==j)*sum((grav.centre-res$center[j,])^2) }
		kmeans.ss[(i-1)*maxclus+k,1]=k
		kmeans.ss[(i-1)*maxclus+k,2]=sum(res$withinss)
		kmeans.ss[(i-1)*maxclus+k,3]=betw.ss
        	}
	}
plot(kmeans.ss[1:maxclus,2]/kmeans.ss[1:maxclus,3],type="h",xlab="nb groups",ylab="var Intra/Var Inter")
for(i in 1:maxiter) { lines(kmeans.ss[(((i-1)*maxclus)+1:maxclus),2]/kmeans.ss[((((i-1)*maxclus)+1:maxclus)),3],col="red") }
return()
}
