wsp <-
function(ts,s0=1,noctave=6,nvoice=20,w0=6,sw=0,siglevel=0.95,critval=0,nreal=1000,markt=-999,marks=-999,logscale=FALSE,plot=TRUE,units="",device="screen",file="wsp",color=TRUE)
	{
   	t <- time(ts)
	dt <- t[2]-t[1]
  	if (s0<2*dt)
		{
    		s0 <- 2*dt
		cat(paste("# s0 set to ",s0," \n"))
  		}
	tsanom <- ts-mean(ts)
	ts.cwt <- cwt.ts(tsanom,s0,noctave,nvoice,w0)
	wsp <- smooth.matrix(Mod(ts.cwt)^2,sw)
		#Critical values
  	if (length(critval)>1)
		{
		# is critval a vector or matrix?
    		if (dim(critval)[2]!=dim(wsp)[2])
			{ # is critval of the wrong dimension?
      			if (siglevel[1]!=0 & nreal!=0) { critval <- critical.valuesWSP(tsanom,s0,noctave,nvoice,w0,sw,siglevel,nreal) }
		#critval is of wrong dimension and siglevel and nreal are given
			else { critval <- 0 } # no test desired
    			}
 		 }
  	else
		{ # critval is no vector, but nreal or siglevel is given
    		if (siglevel[1]!=0 & nreal!=0) { critval <- critical.valuesWSP(tsanom,s0,noctave,nvoice,w0,sw,siglevel,nreal) }
    		else { critval <- 0 }
  		}
  	if (plot) { plot.wt(wsp,0,t,s0,noctave,w0,critval,markt,marks,logscale,FALSE,units,"Wavelet Power Spectrum",device,file,FALSE,color) }
	wclist <- list(power=wsp,times=t,scales=2^(0:(noctave*nvoice)/nvoice)*s0,critval=critval)
  	wclist
	}
