\name{bestanal}
\alias{bestanal}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{bestanal }
\description{ Determine the most similar assemblages (analogues) by calculating a distance between the considered (most often fossil) assemblage and reference assemblages; results are a list of the assemblages sorted according to this distance (smallest to highest) and a list of the distances; missing values are not allowed. }
\usage{ bestanal(ref0, fos0, option = 0, wghts = NULL, mcon = NULL, fcon = NULL }
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ref0}{ the matrix of reference assemblages, n raws (sites), p columns (taxa) }
  \item{fos0}{ the matrix of fossil assemblages, nf raws (levels in the core), p columns (same number than in ref0)}
  \item{option}{ transformation of abundances: 0 = no transform; 1 = square root of abundaces; 2 = Camberra }
  \item{wghts}{ coefficient vector (size p) to multiply the abundances in the distance calculation; otherwise NULL (all are equal to 1) }
  \item{mcon}{ modern constraints (alphanumerical vector size n)}
  \item{fcon}{ fossil constraints (alphanumerical vector size nf)}
}
\value{ this function is called by recMAT }
\references{ }
\author{ GUIOT Joel }
\note{ }
\seealso{ }
\examples{

out=bestanal (ss700po,fospo,option=1)
} 

