\name{pca}
\alias{pca}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Performs a principal component analysis with selected graphical outputs }
\description{
  Matrix matname is transformed into PC and p PC are retained in the output; function princomp of library stats is used
}
\usage{
pca.test=pca(matname, p, outfile = NULL)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{matname}{ \code{matname} is a matrix of m columns and n rows }
  \item{p}{ \code{p} is the number of PC to be drawn }
  \item{outfile}{ \code{outfile} the filename (without extension) where results are saved (default = screen); extension .txt is added to the value of outfile where text results are saved; extension .pdf is added to the value of outfile where graphics are saved, one page per graphic }
}
\details{
  See \code{princomp} for details on the analysis 
}
\value{
  pca returns a list containing the following components
  \item{sdev }{the standard deviations of the principal components}
  \item{loadings }{the matrix of variable loadings (i.e., a matrix whose columns contain the eigenvectors)}
  \item{center }{the means that were subtracted}
  \item{scale }{the scalings applied to each variable}
  \item{n.obs }{the number of observations}
  \item{scores }{the scalings applied to each variable}
  \item{scores }{if scores = TRUE, the scores of the supplied data on the principal components. These are non-null only if x was supplied, and if covmat was also supplied if it was a covariance list. For the formula method, napredict is applied to handle the treatment of values omitted by the na.action}

}
\references{ ~ ~ }
\author{ ~~J. Guiot~~ }
\note{ ~~further notes~~ 

 ~Make other sections like Warning with \section{Warning }{....} ~
}
\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
##
pca.test=pca(ss700cl,4)
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ multivariate analysis }
\keyword{ principal components }% __ONLY ONE__ keyword per line