\name{readRWL}
\alias{readRWL}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ read tree-ring files in Tucson (RWL) format }
\description{
  RWL format is as follows:
CH0651  1938    47    48
CH0651  1940    50    56    33    32    39    32    43    22    37    22
CH0651  1950    36    36    18    42    34    25    36    28    32    33
CH0651  1960    19    26    15    33    41    34    25    23    22    25
CH0651  1970     7    34    21    23    24   999
CH0652  1639    72
col 1-3 = site name
col 4-5 = tree number
col 6 = core number
<space> year
<space> ring <space> ring .... 10 X
}
\usage{
output=readRWL(filename)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{filename}{ \code{filename} is the input data filename }
}
\details{
  void
}
\value{
  output is a matrix containing in columns the different red series, the raw labels being the years and the column labels being the core names
}
\references{ ~ ~ }
\author{ E. Boucher }
\note{ void
}
\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
x=readRWL('belg001.txt')
}

% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ tree-rings, tucson, dendrochronology }

