ClusKMeans <-
function(xmat,maxclus=10,maxiter=20,outfile=NULL)
{
dev.set(1)
plotIntraInterKm(data=xmat,maxclus,maxiter)

print("The optimum number of clusters shoul be chosen after a large break in the plot Intra/Inter but before a large dispersion between the curves")
selclus<-as.numeric(readline(prompt=" Enter the wanted number of groups: "))

if (!is.null(outfile)) 
	{
	fgraph=paste(outfile,".pdf",sep="")
	ftext=paste(outfile,".txt",sep="")
	sink(file=ftext)
	pdf(file=fgraph)
	}
plotIntraInterKm(data=xmat,maxclus,maxiter)
cat("CLUSTERING WITH KMEAN METHOD\n")
cat("Interactive selection of the number of clusters on the basis of IntraVar/Intervar\n")
cat("------------------------------------------------------------------------\n")

CKM<-kmeans(xmat,centers=selclus,50)
print(CKM)

if (!is.null(outfile)) 
	{
	dev.off()
	dev.off()
	sink()
	}

return(CKM)
}
