bestanal_NA <-
function (ref,option=0) {
	minref=apply(ref,2,min,na.rm=TRUE)
	maxref=apply(ref,2,max,na.rm=TRUE)
	cat("Summary statistics before scaling\n")
	print(summary(ref))
	ref2=scale(ref,center=minref,scale=maxref-minref)
	cat("Summary statistics after scaling\n")
	print(summary(ref2))
	nref<-nrow(ref2)
	m<-ncol(ref2)
	mdist="euclidian"
	if(option==3) {mdist="canberra"}
	matrice.dist<-rep(0,nref)
	matrice.sort<-rep(0,nref)
	anal<-list(title="list of best analogues followed by their distances")
	anal$list<-matrix(data=0,ncol=nref,nrow=nref)
	anal$dist<-matrix(data=0,ncol=nref,nrow=nref)
	anal$seuil<-NA
	if (option==1) {
		ref2 <-sqrt(ref2) }
	if (option==2) {
		ref2 <-log10(ref2*1000+1) }
		
	for (i in seq(1,nref,1)){
		fos2<-matrix(as.matrix(ref2[i,]),nref,m,byrow=TRUE)
		if (option<=2) {
			dd<-(as.matrix(ref2)-fos2)^2 
		} else {
			dd<-abs(as.matrix(ref2)-fos2 )/pmax(ref2+fos2,matrix(0.00001,nref,m))
		} 
		matrice.dist <- apply(dd,1,mean,na.rm=TRUE)
		matrice.sort <- order(matrice.dist,na.last=TRUE)
		anal$list[i,]<-matrice.sort
		matrice.sort <- sort(matrice.dist,na.last=TRUE)
  	anal$dist[i,] <- matrice.sort
	}
# seuil
  cat("% of misisng data = ",100*sum(is.na(ref2))/(nrow(ref2)*ncol(ref2)),"\n")
	anal$seuil=mean(sd(ref2,na.rm=TRUE)^2,na.rm=TRUE)
	cat("Threshold adopted (1st quartile of random distances) =",anal$seuil,"\n")
	return(anal)
}
